﻿@model Bunge.Salada.ViewModels.RecipeViewModel
@{
    ViewBag.Title = "Imprimir receita: " + @Model.Title + " | Salada";
    ViewBag.BodyClass = "receita-print";

    Layout = null;
}

<!DOCTYPE html>
<html lang="pt-br">
<head>
    <title>@ViewBag.Title</title>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
    <meta name="description" content="" />
    <meta name="keywords" content="" />
    <meta name="robots" content="noindex, nofollow">

    <link rel="canonical" href="@Request.Url.ToString().Replace("/print","")" />

    <!--[if IE]><link rel="shortcut icon" href="~/content/assets/images/favicon.ico" /><![endif]-->
    <link rel="shortcut icon" sizes="32x32" href="~/content/assets/images/favicon.png" />

    <link rel="shortcut icon" href="~/content/assets/images/favicon.ico" />
    <link rel="stylesheet" href="~/content/assets/styles/style.min.css" />

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
        <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->

    <script>
        (function (i, s, o, g, r, a, m) {
            i['GoogleAnalyticsObject'] = r; i[r] = i[r] || function () {
                (i[r].q = i[r].q || []).push(arguments)
            }, i[r].l = 1 * new Date(); a = s.createElement(o),
            m = s.getElementsByTagName(o)[0]; a.async = 1; a.src = g; m.parentNode.insertBefore(a, m)
        })(window, document, 'script', '//www.google-analytics.com/analytics.js', 'ga');
        ga('create', 'UA-22101338-1', 'auto');
        ga('send', 'pageview');
    </script>
</head>
<body class="@ViewBag.BodyClass">

    <div class="box-print">

        <a class="btn btn-verde btn-verde-print" onclick="window.print();">Imprimir</a>

        <div class="box-print-header">
            <div class="box-print-left">
                <figure>
                    <img class="logo-salada" alt="Salada" src="~/Content/assets/images/logo-salada.png" />
                </figure>
                <div class="receita-titulo">
                    <h1>@Model.Title</h1>
                    <p>
                        com @Model.RecommendedProductName
                    </p>
                </div>
                <ol class="modos">
                    <li>
                        <i class="icon icon-porcoes"></i>
                        <span>
                            @Model.QtdYield porções
                        </span>
                    </li>
                    <li>
                        <i class="icon icon-dificuldade"></i>
                        @switch (Model.RecipeLevel)
                        {
                            case 0:
                                <span>Fácil</span>
                                break;
                            case 1:
                                <span>Médio</span>
                                break;
                            case 2:
                                <span>Difícil</span>
                                break;
                            default:
                                break;
                        }
                    </li>
                    <li>
                        <i class="icon icon-tempo"></i>
                        @Model.QtdPreparationTime minutos
                    </li>
                    <li>
                        <i class="icon icon-momento"></i>
                        @for (int i = 0; i < Model.Moments.Count(); i++)
                        {
                            <span>@Model.Moments.ElementAt(i).Content @if (i != Model.Moments.Count() - 1)
                            {<strong> | </strong>}</span>
                        }
                    </li>
                </ol>
                <span class="frase">@Model.Resume</span>
            </div>

            <div class="box-print-right">
                <figure>
                    <img class="receita-imagem" alt="@Model.Title" src="~/web/uploads/recipe/@Model.Image" />
                </figure>
            </div>
        </div>

        <div class="box-print-content">
            <div class="box-print-left">
                <h2>Ingredientes</h2>
                <ul>
                    @foreach (var i in Model.Ingredients)
                    {
                        if (i.IsBunge)
                        {
                            <li>@i.Quantity @i.Measure de<strong> @i.Name</strong></li>
                        }
                        else
                        {
                            if (i.Measure == "A gosto")
                            {
                                <li>@i.Name à gosto</li>
                            }
                            else
                            {
                                <li>@i.Quantity @i.Measure de @i.Name</li>
                            }
                        }

                    }
                </ul>

            </div>
            <div class="box-print-right">
                <h3>Modo de Preparo</h3>
                <p>@Html.Raw(Model.PreparationMode.Replace("\r", "<br />"))</p>
            </div>
        </div>
    </div>
   
    <script>
        window.print();
    </script>
</body>
</html>
